# ActivityTypes represent different kinds of activities that can be stored.
# Each ActivityType is presented to the user with an icon and a name.
# Additionally, a color can be defined (not implemented in the Pipedrive app as of today).
# ActivityTypes are linked to Activities via ActivityType.key_string = Activity.type.
# The key_string will be generated by the API based on the given name of the ActivityType upon creation, and cannot be changed.
# ActivityTypes should be presented to the user in an ordered manner, using the ActivityType.order_nr value.
module PipedriveRuby
  class ActivityTypes < PipedriveRuby::Base
    def_delegators :endpoints, :all, :create, :update, :remove, :remove_many
  end
end
